metadata:
  id: lnbits
  name:
    en: LNbits
  version: 1.0.0-rc6+nirvati.1
  displayVersion: 1.0.0-rc6+nirvati.1
  category:
    en: Lightning Node Management
  tagline:
    en: Multi-user wallet management system
  developers:
    LNbits: https://github.com/lnbits/lnbits
  description:
    en: Description coming soon.
  basePermissions:
  - lnd/access-grpc
  hasPermissions:
  - lnd/access-grpc
  exposesPermissions: []
  repos:
    Server: https://github.com/lnbits/lnbits
  support: https://t.me/lnbits
  icon: https://official-app-icons.nirvati.org/lnbits/icon.svg
  defaultPassword: null
  license: Unknown
  volumes:
    data:
      minimum_size: 104857600
      recommended_size: 1073741824
      name:
        en: Data
      description:
        en: LNBits' data
    extensions:
      minimum_size: 104857600
      recommended_size: 1073741824
      name:
        en: Data
      description:
        en: LNBits extensions
    upgrades:
      minimum_size: 104857600
      recommended_size: 1073741824
      name:
        en: Upgrades
      description:
        en: LNBits upgrades
  ports: []
  exportedData:
    lnd:
      auth:
        macaroons:
          admin:
            permissions:
            - action: read
              entity: address
            - action: write
              entity: address
            - action: read
              entity: info
            - action: write
              entity: info
            - action: read
              entity: invoices
            - action: write
              entity: invoices
            - action: generate
              entity: macaroon
            - action: read
              entity: macaroon
            - action: write
              entity: macaroon
            - action: read
              entity: message
            - action: write
              entity: message
            - action: read
              entity: onchain
            - action: write
              entity: onchain
            - action: read
              entity: offchain
            - action: write
              entity: offchain
            - action: read
              entity: peers
            - action: write
              entity: peers
            - action: read
              entity: signer
            - action: generate
              entity: signer
  runtime: AppYml
  allowedScopes:
  - User
  defaultScope: User
  storePlugins: []
  uiModule: null
  supportsIngress: true
  canBeProtected: true
  saasCompatibility: Unknown
  rawIngress: false
  postInstallRedirect: null
  components: []
  isCitadel: false
  preloadType: Nirvati
containers:
  main: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command: null
      entrypoint: null
      environment:
        FORWARDED_ALLOW_IPS: !StringLike '*'
        HOST: !StringLike 0.0.0.0
        LNBITS_ADMIN_EXTENSIONS: !StringLike ngrok,admin
        LNBITS_ADMIN_UI: !StringLike 'true'
        LNBITS_BACKEND_WALLET_CLASS: !StringLike LndWallet
        LNBITS_DATA_FOLDER: !StringLike /data
        LNBITS_DEFAULT_WALLET_NAME: !StringLike LNbits wallet
        LNBITS_DISABLED_EXTENSIONS: !StringLike amilk
        LNBITS_SITE_TITLE: !StringLike LNbits
        LND_GRPC_CERT: !StringLike /data/lnd/tls.cert
        LND_GRPC_ENDPOINT: !StringLike main.lnd.admin.nirvati
        LND_GRPC_MACAROON: !StringLike placeholder_macaroon_admin
        LND_GRPC_PORT: !StringLike 10009
      hostname: null
      image: lnbits/lnbits:v1.0.0-rc6
      privileged: false
      restart: null
      stop_grace_period: null
      uid: null
      gid: null
      volumes:
      - !Longhorn
        name: data
        mount_path: /data
        sub_path: null
        is_readonly: false
        from_app: null
        from_ns: null
      - !Longhorn
        name: extensions
        mount_path: /app/lnbits/extensions
        sub_path: data
        is_readonly: false
        from_app: null
        from_ns: null
      - !Longhorn
        name: upgrades
        mount_path: /app/lnbits/upgrades
        sub_path: data
        is_readonly: false
        from_app: null
        from_ns: null
      working_dir: /app
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp: []
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels: {}
    middlewares: {}
services:
  main:
    target_container: main
    type: ClusterIp
    ports:
      udp: {}
      tcp:
        5000: 5000
    cluster_ip: null
    network_policy: null
ingress:
- target_service: main
  target_ns: null
  target_app: null
  path_prefix: null
  target_port: 5000
  type: Https
  enable_compression: true
  strip_prefix: true
  auth_exclude: false
  component: null
plugins: {}
secrets: []
custom_resources: []
app_network_policy:
  ingress:
    allow_world:
      allow: false
      allowed_ports: null
    allow_cluster:
      allow: false
      allowed_ports: null
    allow_same_ns:
      allow: true
      allowed_ports: null
    cidrs: []
    pods: []
  egress:
    allow_cluster: false
    allow_same_ns: true
    allow_kube_api: false
    allow_world: true
    allow_local_net: false
    dns:
      allow: true
      allowed_lookup_names: null
      allowed_lookup_pattern: null
    fqdns: []
    cidrs: []
    services: []
    pods: []
other: []
